Welcome

Mission Editor

v0.9b.040307

Warfare Incorporated is a registered trademark of Spiffcode, Inc.
All rights reserved

http://www.handmark.com/warfare/forum
(registration required)


Introduction

The Warfare Incorporated Mission Editor allows users do design and create their own missions for use within the Warfare game. Any level that is created with this editor can be played on any platform that is supported by the game.


Creating New Levels

There are a few steps that you need to do before creating your new mission...

You can create a basic "Destroy Everything In Sight" mission, or a longer story line type mission that lasts over two or three maps. Lets asume that we are doing a story mission.

Note : If you find that your story is too long or complicated to fit into one level, or if your storyline requires several different map details, consider splitting the story over several maps into a multi-level mission pack.

1. Create basic outline for your map.

2. Write out your entire story line, including drawing out the map on paper.

3. Write out the triggers and events that will happen during your mission.

4. Set out what units will be used in this mission.

Once you have done this, fire up the editor and create your map layout as you drew it out in step 2 - further instructions below...

5. Set up the areas that you require with relation to your triggers and events.

6. Create your groups .

7. Write out your information text .

8. Set up your triggers .

Now, as part of your mission you should have deciced on either a desert or grass terrain.!

First goto File, Open... and select whichever terrain your are going to use

Next, goto File, New. You will now have a screen filled with either desert or grass , from here the rest is up to you.!


Desert

This is the general background for the desert missions.


Grassy

This is the general background for the grassy missions.


Placing Objects, Units and Structures

In this topic, we'll add a road system, the start of a base, a few allied units.

You will notice on the map screen, there is a bright green line running around the edge. The line marks the boundary of level. Anything placed outside of this boundary will not be accessible to the player.

You can change the size of the map and/or boundary by clicking the Settings menu, then the Level option. The right hand section then shows the current settings. Change this to fit your map layout.

The maximum value you can enter for the height and width is 62.

This boundary is important becuase it allows you to have a long or tall map rather than a square.

You can also set the name of your mission here.


Road System

To place any of the terrain objects (rivers, roads, etc), simply drag and drop them onto the map.

To build a simple road system, first select a few road pieces...

, [image] ,

...and drag then onto the map...

...until you end up with something like this...

...a full road system.!


Base Beginnings

Next, we want to add a few structures to our map, so that we can have a base from which to work.

The principle is the same as the road system - drag and drop.!

We are going to add a Headquarters and a Galaxite Processor .
In order to power these structures, we are also going to place three power generators

Now that we the start of a base structure, we need to add units and vehicles . We can also add a few walls, shrubs and trees. Once we have added a few items, you might end up with something like this...

For an example for a full map that you can play as part of the game, click here


Settings


Areas and Triggers

Areas are not under the Settings menu, but is an intragral part of the triggers section, so I have included it here.


Area Creation

Areas help you with the trigger actions, and allow you to create triggers that perform actions based on specific areas of your map.

An example of this might be to complete a mission when a players unit moves into an area of the map.

To create a new Area click on the New Area item and drag and drop it onto the map. You can change the size of the area by dragging the corners of the area.

This screen shot shows two seperate areas named 'MessageArea' and 'ActionArea'.

Click here to see the areas used in a demostration mission.

NOTE : There is a maximum limit of 32 areas.


Triggers

Triggers are used to perform certain actions for specific contitions.
To bring up the trigger options, click on the Settings menu and Triggers.

This window is empty at the moment, so we are going to add a new Trigger.
This new trigger will display a eCom message at the start of the mission to imform the player of what they need to do in order to complete this map.

Click on the New button.

Pick which side this trigger will apply to. Select the side 1 option, click on the conditions tab and click on New.

Pick the "Mission Loaded" condition and click OK. Next, click on the actions tab and click on New.

Pick the "Ecom" action. You will notice that the this action has several options.
Click on each option, and fill in the following details...

Ecom (SmallBottom w/ Close) from Olstrom to Andy: "Welcome to your next mission Andy."

Click on the OK button, then click OK again. You will now have one trigger listed in the Triggers window...

You have now created your first trigger.!
For more information on all the triggers available, see the triggers help file.

NOTE : There is a maximum limit of 40 triggers per side.


Qualifiers


quantity

AtLeast (tested quantity is this value or more)
AtMost (tested quantity is this value or less)
Exactly (tested quantity is this value exatly)

Note: Enter positive values only. Remember some values, such as credit, change in different increments, so testing for exact values can cause problems.


side

Allies (virtual side)
All Sides
 Current Side
 Enemies (virtual side)

 Side 1 (Blue)

 Side 2 (Red)

 Side 3 (Yellow)

 Side 4 (Cyan)

 Side Neutral (Grey)


upgrade types

Advanced HRC
Advanced VTS
Increased Bullpup Speed (not implemented yet)


unit types

Infrantry:
Corporate Raider
Rocket Trooper
Security Guard

Vehicles:
Broadsword
Bullpup
Cyclops
Dominion
Eagle
Hydra
Liberator

Mobile Units:
 Both Infrantry and Vehicle types

Builders:
 Headquarters (HQ)
Human Resource Center (HRC)
Vehicle Transport Station (VTS)

Structures:
 All Builder types
 Galaxite Processor
Galaxite Warehouse
Gatling Tower
Power Generator
Research Center
Rocket Tower
Surveillance Center

All:
 All the above listed units

Units not selected by any of the above buttons:
 Andy
Fox
Replicator


Screen-Unit Groups

return to Create Random Unit Group
return to Create Unit Group


Conditions


Area Contains Units

Format :
Area 'area' containts quantity unit types owned by side

Description :
All units of all sides and all types specifed that are inside the area are totaled and that total is what is compared against the value.

Example :
Area 'Base Entrance' contains 1 Bullpup owned by Side 1


Comment

Format :
Comment: text

Description :
Use this to comment your conditions. It has no in-game effect.

Example :
none


Countdown Timer

Format :
Countdown timer is quantity

Description :
The countdown timer is compared against the "qualified quantity" to determine if conditionis satisfied

Example :
Countdown timer is Exactly 0


Credits

Format :
side has quantity Credits

Description :
Use this condition to respond to Credits going above or below a value of interest.
WARNING: it is not a good idea to use the "Exactly"comparison against any value other than 0 becuase Credits typically change at increments greater than one.

Example :
Side 1 has AtLeast 1000 Credits


Discovers Side

Format :
side discovers side

Description :
This condition ismetthe first time side A 'discovers' side B. Discovery means that a unit owned by side B has become visible to a unit owned by side A (and implicitly, vice-versa). The virtual are [LastDiscovery] is initalized at discovery time and is positioned over the unit found.

Example :
Side 1 discovers Side 2


Elapsed Time

Format :
Elapsed mission time is quantity seconds

Description :
Time starts at 0 when the mission begins. If you want to set up an action that recurs every NN seconds do it with an "Always" condition and a "Wait NN" action

Example :
Elapsed mission time is AtLeast 3 seconds


Every NN Seconds

Format :
Every quantity seconds

Description :
This condition is satisfied repeatedly at the specified rate.
NOTE: the trigger will only fire once unless the "Preserve Trigger" action is used

Example :
none

Note :
This condition is limited to 99 seconds. For longer times, use the Wait action instead.


Galaxite Capacity Reached

Format :
side's Galaxite capacity is reached

Description :
This condition is met when all the side's Processors and Warehouses are full.
It is intended to be used only by the tutorial

Example :
none


GalaxMiner Can't Find Galaxite

Format :
GalaxMiner owned by side can't find galaxite

Description :
This condition is met when the GalaxMiner searches the unfogged area of the map and can't see any Galaxite.
It is intended to be used only by the tutorial.

Example :
none


Has Upgrades

Format :
side has upgrade types upgrade(s)

Description :
Use this to determine if the specified side possesses the specified upgrades.

Example :
none


Missions Loaded

Mission Loaded

Format :
Mission Loaded

Description :
This condition is set immediately after the mission is loaded

Example :
none


Owns Units

Format :
side owns quantity unit types

Description :
All units of all sides and types specified are totaled and that total is what is compared against the "quantity" value.

Example :
Side1 owns AtLeast 2 Dominion


Place Structure Made Active

Format :
Place structure mode is active

Description :
This condition is met when, after ordering a new structure, the game enters the "place structure" mode".
It is intended to be used only by the tutorial

Example :
none


Switch On/Off

Format :
Switch 'switch' is OnOrOff

Description :
Switch names can be anything (including spaces, etc) but ARE case sensitive. This is, setting a switch named "Whatever" and testing "whatever" won't work.

Example :
Switch 'SwitchOne' is On


Test Persistent Variable

Format :
Persistent variable 'text' is quantity

Description :
Use this condidtion to test whether a persisent variable is above, below, or equal to a value interest.

Example :
Persistent variable 'varTesting' is Exactly 4

Built-In Values :
There are a few built-in values that you can test for...

$demo :
0 - registered
This can't really be used, as the demo version
of the game can't play extra missions.!

$difficulty :
1 - easy, 2 - normal, 3 - hard
For more information on difficulty, see this help topic.

$grayscale :
0 - grayscale, 1 - colour
Doesn't make much difference really.!


Actions


Allies

Format :
side allies with side

Description :
Use this to specify the sides a side considers as its allies. A sides's units do not (can not) target or attack allies' units.

Players have no control over their allies' units, nor do they share 'sight' with them.

NOTE : Just because side A considers side B its ally, this doesn't mean side B reciprocates. Use an Allies action for each side if thats what you want. Also, do not use the virtual sides "Allies" or "Enemies" for either side.

Example :
Side 1 allies with Side 3
Side 3 allies with Side 1


Center View

Format :
Center view over 'area'

Description :
Centers the player's view over the specified Area. This view changes won't be apparent until the next display refresh.

A display refresh can be forced by adding a subsquent "Wait 0" action

Example :
Center view over 'CenterArea'


Comment

Format :
Comment: text

Description :
Use this to comment your actions. It has no in-game effect.

Example :
none


Create Random Unit Group

Format :
Create a random Unit Group

Description :
Create a random pre-defined Unit Group and send it on its way according to its intrinsic actions. The Unit Group is selected from amongst those with the "Random" box checked

Example :
none

Screen Shot :

 Unit Group Screen Shot


Create Unit At Area

Format :
Build/Spawn unit type at 'area' for sideNeutral with quantity percent health

Description :
Builds or spawns a unit/structure at area. "Built" units follow some games rules - building takes time and requires credits. "Spawned" units appear ummediately and are free. Structures are built at the upper-left of the area and the space they require must be unoccupied

Example :
Spawn Dominion at 'spnArea' for Side 1 with 100 percent health


Create Unit Group

Format :
Create Unit Group 'unit group'

Description :
Create a pre-defined Unit Group and send it on its way according to its intrinsic actions

Example :
none

Screen Shot :
 Unit Group Screen Shot


Cut Scene

Format :
Cut scene "text"

Description :
Use this to display a cut scene.
Supported cut scene tags: < img image.rbm >

Valid Tags :
< img xxxxxxxx.rbm >

See Also :
Ecom

Example :
none


Defog Area

Format :
Defog area over 'area'

Description :
Clear the fog in the area specified. Yes, because Areas are rectangular the result can look strange.
Note, this only affects the local/human player.

Example :
none


Ecom

Format :
Ecom (SmallOrLarge w/ MoreOrCloseButton) from character to character: "text"

Description :
Displays a communications message. Characters only appear in the Large messages

Vaild Values :
SmallOrLarge :
Large
Small Bottom
Small Top

MoreOrCloseButton :
Close
More (use if displaying more than one screen)

character :
Andy (player)
Jana (Andy's wife/girlfriend)
Olstrom (Andy's boss)
Fox
ACME_Secruity
OMNI_Security
Anonymous
Blank

Note : Avoid the @ and [ ] characters in the text, as this will cause problems. Also, do not use CTRL+Enter to generate a newline, as this will cause everything after this to be ignored.

See Also :
Cut Scene

Example :
Ecom (Large w/ Close) from Jana to Andy: "Hello World"


End Mission

Format :
End Mission: WinOrLose

Description :
Ends the mission imediately. If the win/lose parameter is set to "Win" and the next mission has been specified via "Set Next Mission " that mission will be launched. Otherwise gameplay ends.

See Also :
Jump To Mission
Set Next Mission

Example :
none


Hunt

Format :
unit types of side hunt unit types of side

Description :
Each unit of the first specified side and type will seek out a unit of the second side and type and attack it and continue doing so until it is dead or there are no more enemies.

Example :
Any Vehicle of Side1 hunt Any Structure of Side2


Jump to Mission

Format :
Jump to mission: "text"

Description :
Jumps immediately to the specified mission. The mission naming convention is "mission.lvl"

Note : This action only uses the first 22 characters, so if your filename is longer than this, just use 22 characters. If it is shorter, then make sure you add the .lvl to the end of the name.

See Also :
End Mission
Set Next Mission

Example :
none


Modify Countdown Timer

Format :
Stop/Resume/Show/Hide the Countdown Timer

Description :
Use this to stop (or pause), resume, show, or hide the countdown. To resume a countdown you must create another modify action with "resume". Showing/hiding will not affect the countdown. Stopping will not automatically hide the timer - you must create another action to hide it.

See Also :
 Start Countdown Timer

Example :
Stop the Countdown Timer


Modify Counter

Format :
Counter 'Counter': Set/Add/Subtract quantity

Description :
Use this to modify the value of a Counter

Example :
Counter 'cntCounter': Set 60
Counter 'cntCounter': Subtract 5


Modify Credits

Format :
side's Credits: Set/Add/Subtract quantity

Description :
Use this to set, add or subtract Credits for specified players

Example :
Side 1 Credits: Set 6000


Modify Persistent Variables

Format :
Modify persistent variable 'text': Set/Add/Subtract quantity

Description :
Use this to set, add or subtract the value of persistent variable

See Also :
Set Persistent Variable

Example :
Modify persistent variable 'varPersist': Set 60


Move Units In Area

Format :
Move side unit types from 'area' to 'area'

Description :
Use this to move units from one area to another

Example :
Move Side2 Any Mobile Unit from 'Area1' to 'Area2'


Preserve Trigger

Format :
Preserve Trigger

Description :
Use this action if you want a trigger to execute again the next time its conditions are met. The default behavior is that triggers only evecute the first time their conditions are met.

Example :
none


Repair

Format :
Set repairing for side OnOrOff

Description :
Enable or disable repairing of a side's structures. While enabled repairing will continue as long as there are credits available.

Example :
Set repairing for Side1 On


Replicator

Format :
Turn side's Replicator OnOrOff

Description :
Enable or disable a side's Replicator(s)

Example :
Turn Side 1 Replicator Off


Set Allowed Units

Format :
Set side allowed units to unit types

Description :
Use this to specify which Units the player is allowed the build. Only this units will show in the build panels.

See Also :
Set Allowed Upgrade

Example :
Set Side1 allowed units to Any Vehicle


Set Allowed Upgrade

Format :
Set side allowed upgrades to upgrade types

Description :
Use this to specify which upgrades the side is allowed to research. Only these Upgrades will show the in the R&D panel.
NOTE: All upgrades are allowed by default if no 'Set Allowed Upgrades' action is specified.

Note : "Increased Bullpup Speed" is not currently used.

See Also :
Set Allowed Units

Example :
none

Screen Shot :


Set Formal Objective Info

Format :
Set formal objective info to "text"

Description :
Use this to set the informational text shown on the Objectives screen.

See Also :
Set Formal Objective Status
Set Formal Objective Text
Show Formal Objectives

Example :
none


Set Formal Objective Status

Format :
Set formal objective quantity status to "text"

Description :
Use this to set one of the status of an objective shown on the Objectives screen.

See Also :
Set Formal Objective Info
Set Formal Objective Text
Show Formal Objectives

Example :
Set formal objective 1 status to "Success"


Set Formal Objective Text

Format :
Set formal objective quantity text to "text"

Description :
Use this to set one of the objectives shown on the Objectives screen.

See Also :
Set Formal Objective Info
Set Formal Objective Status
Show Formal Objectives

Example :
Set formal objective 1 text to "Success"


Set Next Mission

Format :
Set next mission to "text"

Description :
Sets the mission that will be launched following and "End Mission " action. In theory this could be used to set up a branching mission structure or provide access to secret missions. The mission naming convention is "mission.lvl"

See Also :
End Mission
Jump To Mission

Example :
none


Set Objective

Format :
Set side's mission objective to "text"

Description :
Use this to specify a string to be displayed continuously at the upper-left of the screen.

See Also :
Show Alerts

Example :
none


Set Persistent Variable

Format :
Set persistent variable 'text' to "text"

Description :
Use this to set a text string to a persistent variable

See Also :
 Modify Persistent Variable

Example :
none


Set Switch

Format :
Set switch 'switch' OnOrOff

Description :
Switch names can be anything (including spaces, etc) but ARE case sensitive. This is, setting a switch named "Whatever" and testing "whatever" won't work.

Example :
none


Set Upgrades

Format :
Set side upgrades to upgrade types

Description :
Use this to specify which upgrades the side posseses. NOTE: This can only be used as part of a Mission Loaded trigger.

See Also :
Mission Loaded

Example :
Set Side1 upgrades to Advanced HRC


Show Alerts

Format :
Show alert "text"

Description :
Use this to show an alert string at the lower-left of the display.

See Also :
Show Formal Objectives

Example :
none


Show Formal Objectives

Format :
Show formal objectives

Description :
Use this to invoke the Objectives screen. Make sure you've set all the appropriate formal objective parameters (text, status, info) first.

See Also :
Set Formal Objective Info
Set Formal Objective Status
Set Formal Objective Text

Example :
none


Start Countdown Timer

Format :
Start Countdown Timer with quantity seconds and show this string: "text"

Description :
Use this to initialize the value of a countdown timer and start a countdown. Put a %s in the string where you want the time displayed. You must use a "Modify Countdown Trigger " to show the timer.

The timer will stop at 00:00 but you must call "Modify Countdown Trigger " with "hide" to make it disappear

See Also :
 Modify Countdown Timer

Example :
Start Countdown Timer with 600 seconds and show this string: "time until enemy : %s"


Wait

Format :
Wait quantity seconds

Description :
Delay a number of seconds before advancing to the next action

See also :
 Every NN Seconds

Example :
Wait 10 seconds


Unit Groups

Unit Groups are used to create groups of units.!

This would normally be used for creating various small groups of attacking enemy units, making the player work hard at creating defenses.

Groups consist of several units belonging to one particular side.

They can either be built - using the resources required to train them, or spawned - just appear taking up no resources.

Using areas you can tell a group to spawn at a particular location on the map. This is great for giving the player extra allied units and make it look as though they have just appeared on the map.! You can also use it to generate lots of enemy units to send to the players base.!

The screenshot below looks a bit daughting, but it is quite straight forward...

To start, click on the New... button at the bottom left. This will create a new group called group1.

To add units, click on the New... button in the Units section (middle). This is show a list of units, with an amount value at the bottom. Select the unit you want and click OK. You can always increase or decrease this amount using the '+' and '-' buttons.

Next, you need to tell the group what it needs to do. Click New... in the Actions section, and pick an action from the list.

Here is more information on unit actions and aggressions

The repeat forever option allows you to tell the created group to just keep performing its action.

As you can see in the screen shot above, we have 8 units listed in this group. 4x Eagles and 4x Liberators . The action these 8 units will perform is to seek out and destroy any unit that belongs to side 1 (the player) for 10000 seconds. Using this number of seconds (about 3 hours) effectively means 'forever'.


Switches

Switches are used within the Triggers section. They are basically variables that you can use to set values against.

For example, one of the players units enters an area on the map. This causes a trigger to fire setting a switch to a specific value. Later on in the mission you can check the switch for this value and if it is found then perform another action.

Click New... to create a new switch.

NOTE : There is a maximum limit of 16 switches.


Counters

This is not currently used.


Level Text

This is meant as a quick access to all the Triggers and so on that are used in the mission.

It is not recommended that you edit the text in this window directly as it may cause problems.


Level

This is used to set various options for the level itself.

Take a look at Placing Objects, Units and Structures for more information.


Side n

Side 1
Side 2
Side 3
Side 4

This allows you to set information about each side used in the mission.

It is similar to the Level options.

For the Intelligence option you should only choose Human or Computer.


Comments

This is only used for mission builders, and is not seen during the game.


Units

This is a list of all the units availabe to the map and mission editor.

Shown above is the Headquarters (HQ) for all sides on both the Desert and Grassy terrain. The first HQ is the Neutral side, followed by Side 1, Side 2, Side 3, and Side 4.


Structures


Galaxite Processor

These are one of the most important structures you can have. A Galaxite Processor is used to process mined Galaxite and provides funding for your operation.

A new Bullpup is created whenever you create this structure.

It should be well defended. If the Bullpup remains in the processor, it usually indicates that you need to build a Galaxite Storage Warehouse . When Bullpups are destroyed you can build additional ones at the Vehicle Transport Station .

If the Bullpup stays in the processor, it usually means that you need to build more warehouses . The message "Need More Storage" also appears at the bottom of the screen.

Cost: 1500
Armor: Heavy
Damage: None
Power Demand: 10
Power Supply: 0


Galaxite Warehouse

The Galaxite Processor can only hold so much galaxite.

Add warehouses to increase processed Galaxite capacity. If it is destroyed, sold, or taken over you will lose whatever Galaxite it contains. On the other hand using Corporate Raiders to take over an enemy's warehouse will garner the your enemy's stored credits. This is an excellent offensive maneuver.

Cost: 750
Armor: Light
Damage: None
Power Demand: 7
Power Supply: 0


Gatling Tower

These guard towers are equipped with machine guns and are fairly effective at keeping the competition out.

A fully powered Surveillance Center is required for the targeting systems to function so that towers will fire automatically as enemies come into range. You can also direct their fire by tapping on the tower and then tapping on the enemy you wish to fire upon.

Note that these towers take a great deal of power to remain operational. As you create towers, be sure to keep an eye on your power meter. A flashing lightening bolt symbol on your tower indicates that it is under powered and will not fire at the enemy.

Cost: 750
Armor: Light
Damage: Medium
Power Demand: 10
Power Supply: 0


Headquarters

Headquarters (HQ)

This is the single most important structure you can have.! From here all other structures are created. If you want to change the location of your base, you need to build a Dominion unit from your VTS . This unit converts into a new HQ

Armor: Heavy
Damage: None
Power Demand: 0
Power Supply: 0


Human Resource Center (HRC)

The Human Resource Center (HRC) is used to recruit personnel. You can use the Research Center to upgrade the HRC and enable production of more advanced units. You can order up to ten units at a time by selecting the unit type and repeatedly tapping on the order button.

Security Guard
Rocket Trooper
Corporate Raider

Cost: 1000
Armor: Medium
Damage: None
Power Demand: 10
Power Supply: 0


Power Generator

Power Generators supply the rest of your buildings with power. Running low on power reduces the function of many structures making it imperative that you keep an eye on your power supply.

A lightening bolt symbol will flash on underpowered units. Note that when the lightening bolt is flashing, these buildings will not function as expected. For example, Rocket Towers will no longer fire. When it is your own Rocket Tower that is disabled, this spells bad news for you. However, when enemy towers are underpowered you can take full advantage of their helplessness!

Cost: 750
Armor: Light
Damage: None
Power Demand: 0
Power Supply: 40


Rocket Tower

A guard tower equipped with a rocket launcher. These towers are more effective than Gatling Towers against vehicles.

Like the Gatling Tower the Rocket Tower requires a Surveillance Center and sufficient power to operate. Towers will fire automatically as enemies come into range. You can also direct the tower's fire by tapping on the tower and then tapping on the enemy you wish to fire upon.

Note that these towers take a great deal of power to remain operational. As you create towers, be sure to keep an eye on your power meter. A flashing lightening bolt symbol on your tower indicates that it is under powered and will not fire at the enemy.

Cost: 850
Armor: Light
Damage: High
Power Demand: 10
Power Supply: 0


Research Center

Investing in a Research Center will allow you to upgrade your HRC and VTS , giving you access to the newest technologies available. Note that once the VTS is upgraded you can sell your Research center to return some of your credits. However, even after upgrading the HRC , if you lose your Research Center you will be unable to create Corporate Raiders . The Research center must be intact for these very special units to be available.

Cost: 750
Armor: Medium
Damage: None
Power Demand: 15
Power Supply: 0

Research upgrades allow you to improve the units available at your Human Resource Center (HRC) and Vehicle Transport Station (VTS) . The Research Center is available starting on Mission 3.

Select this building and use the build icon to view available upgrades.

During the standard game levels upgrading the HRC enables production of
Rocket Troopers and
Corporate Raiders .

Also, upgrading the VTS enables production of
Dominions ,
Cyclops and other advanced tanks.

During level/mission editing, you can specify what upgrades are available and which units can be created by default.


Surveillance Center

The Surveillance Center controls targeting for both your Gatling Tower and your Rocket Tower . It is required before you can build towers.

Cost: 750
Armor: Medium
Damage: None
Power Demand: 15
Power Supply: 0


Vehicle Transport Station (VTS)

Use the VTS to order vehicles. You can use the Research & Development Center to upgrade the VTS and enable production of more advanced units. You can build up to ten units at a time by selecting the unit type and repeatedly tapping on the order button.

Cost: 1250
Armor: Heavy
Damage: None
Power Demand: 10
Power Supply: 0


Infrantry


Corporate Raider

Every organization's worst nightmare. Send a Raider into an enemy building and it becomes yours! Corporate raiders need to be carefully protected since they have very little armor and no conventional weapons. Each raider can be used once.

Corporate Raiders are available from the Human Resources Center after completing the HRC upgrade from the Research & Development Center. Note that the R & D Center must be intact for you to build the Corporate Raiders. If you sell the center or it is destroyed by enemies you will no longer be able to create Raiders.

Armor: Light
Damage: None
Speed: Slow
Range: Low


Rocket Trooper

Rocket Troopers are particularly effective against armored vehicles. They pack a bit more punch and have a longer range than a Security Guard but can't travel as quickly.

Cost: 300
Armor: Light
Damage: Low
Speed: Slow
Range: High


Security Guard

Security Guards are cheap and cheerful but with limited firepower and defensive capabilities. The Security Guard is useful as a scout and is very effective in large groups.

Cost: 150
Armor: Light
Damage: Low
Speed: Medium
Range: Medium


Special Units


Andy

{todo}


Fox

{todo}


Vehicles


Broadsword (T-29)

The T-29 comes equipped with a large mortar cannon that does a lot of damage. It is effective in combat with other units and particularly effective against buildings.

Cost: 450
Armor: Medium
Damage: High
Speed: Medium
Range: High


Bullpup (G-4)

The G-4 Bullpup gathers Galaxite and returns it to your Processor . Order more to harvest faster or replace ones that have been destroyed. Their tough armor can get them through trouble spots but they often need to be guarded as they have no offensive capabilities.

Cost: 600
Armor: Heavy
Damage: None
Speed: Medium
Range: None


Cyclops (A-3)

The A-3 Cyclops is a long range artillery unit particularly effective against buildings. Almost any other offensive unit can destroy it, so it should be escorted by other defensive units.

Cost: 500
Armor: Light
Damage: High
Speed: Slow
Range: High


Dominion (H-7)

The H-7 Dominion transforms into an Headquarters (HQ) allowing you to start a new base anywhere you want. It has strong armor but no weapons. Once transformed it cannot be remobilized by the player. The Dominion is available from the Vehicle Transport Station after completing the VTS upgrade from the Research Center .

Cost: 1200
Armor: Heavy
Damage: None
Speed: Slow
Range: None


Eagle (SR-98)

The SR-98 is a light, speedy tank that comes equipped with a machine gun. They aren't particularly powerful on their own but are very effective in groups and make nice scouts.

Cost: 300
Armor: Light
Damage: Medium
Speed: Fast
Range: High


Hydra (M-18)

The Hydra shoots high-explosive rockets that pack a large punch ideal for armored vehicles. It is very well rounded making it an excellent candidate for both offensive and defensive roles.

Cost: 450
Armor: Medium
Damage: High
Speed: Medium
Range: High


Liberator (T-33)

The Liberator comes equipped with dual-cannons which allow it to make short work of enemy infantry.

Cost: 600
Armor: Heavy
Damage: High
Speed: Medium
Range: High


Unit Behaviour


Actions

This is a list of actions that are available for each unit.

Guard :
Guards within immediate range of sight. (default action)

Guard Area :
 Unit attacks any enemies in 'area' until destroyed.

Guard Vicinity :
 Guards within extended range of sight.

Hunt Enemies :
Enemies of unit types are chosen at random only.
Continues until all are destroyed.

Mine :
Find the nearest galaxite and mine it.
Continue forever.

Move :
 Move immediately to 'area'.
May attack on the way.


Aggressiveness

This is a list of aggressiveness values that are available for each unit.

Coward :
Run from danger.

Pacifist :
Will stand and take any fire.

Self Defence :
 Will only fight if fired upon.

Defender :
Will fight when provoked. (default)

PitBull :
Will seek and destroy enemy units.


hiddenmap

Demo Map D3: Sample

You can see that this is a desert map. Notice the boundary (bright green line) that surrounds the map is overlayed with mountain ridges. This gives the player the impression that the map is set within a valley or mountain plateau.

You start at the top of the map, with large deposits of purple Galaxite Ore that can be mined by a Bullpup. There are a few enemy units to the south with a large base at the bottom of the map.

A nice river runs though the top half of the map.

(this image is at 40% scaling)

Return to Base Beginnings ...


hiddenmap2

Demo Map D3: Sample

This is the same sample map as show here , except that this shows some of the areas used in the mission.

(this image is at 100% scaling)

Return to Area Creation ...


Introduction

To quickly create copies of an item (structure, Unit or Object) simply hold down the CTRL key before clicking the item...

To create lots of copies, select all the items, press CTRL+C then press CTRL+V. A new selection appears, and you can now drag these to where ever you need them..

If you place several items (of the same type) onto the same location, only one item will actually be available during the game. For example, if you place several levels of Galaxite onto the map, the Bullpup will only mine one.

Galaxite comes in various shapes and sizes. Only the size matters, as this is related to the number of credits they can be converted into...

Large : 500 credits

 Medium : 300 credits

Small : 100 credits


Using the Replicator

Using the replicator professionally in your missions can be quite hard to get right. Shown below is the steps you need inorder to get the replicator and three pads working correctly.

As you can see below, you have a replicator and three pads.

First off, you need to create an area over each of the pads...

Calling them somthing easy to remember.! (ReplPad1, ReplPad2, ReplPad3)

To start with, you need to set the replicator to disabled on the mission startup.

Trigger Settings
[ # ] Sides : Side 1
 [ # ] Condition : Mission Loaded
[ # ] Action : Turn Side 1's Replicator Off

Next you need to set the conditions for the pads/area. In this case, we want any unit to activate a pad. So we need to set the triggers for each of the areas...

Trigger Settings
 [ # ] Sides : Side 1
 [ # ] Condition : Area 'ReplPad1' contains AtLeast 1 Any Unit owned by Side1
 [ # ] Condition : Area 'ReplPad2' contains AtLeast 1 Any Unit owned by Side1
 [ # ] Condition : Area 'ReplPad3' contains AtLeast 1 Any Unit owned by Side1
 [ # ] Action : Turn Side 1's Replicator On

Now we need to turn the replicator off if any of the areas do not have a unit in them...

Trigger Settings
[ # ] Sides : Side 1
 [ # ] Condition : Area 'ReplPad1' contains Exactly 0 Any Unit owned by Side1
 [ # ] Action : Turn Side 1's Replicator Off
[ # ] Action : Preserve Trigger

[ # ] Sides : Side 1
 [ # ] Condition : Area 'ReplPad2' contains Exactly 0 Any Unit owned by Side1
 [ # ] Action : Turn Side 1's Replicator Off
[ # ] Action : Preserve Trigger

[ # ] Sides : Side 1
 [ # ] Condition : Area 'ReplPad3' contains Exactly 0 Any Unit owned by Side1
 [ # ] Action : Turn Side 1's Replicator Off
[ # ] Action : Preserve Trigger

Once you have finished, you should have something like this...


Troubleshooting

By 'Crackerz' (via the forum)
GENERAL
Every time you compile, the level is saved first. This means that you must save a master copy or original copy before you start to troubleshoot - and leave it alone, otherwise after many little changes, the mess will be worse than before.!

Change one thing at a time. Tempting as it is, avoid the "scattergun method" of troubleshooting. Even if you get lucky, you will have no idea what the real problem was, and the answer will be 'magic'. Overall, you'll save time.

TRIGGERS
If you have a mess, start by narrowing your focus. Delete all triggers belonging to one side. Then delete the remaining triggers one at a time, compiling after each, and test. Once the problem goes away, you'll know it will have something to do with the last deleted trigger.

ECOM
An area that has caused a number of problems for the beta testers in the levels is the ECom messages. Keep them short if possible, and avoid non-alphanumeric characters - some of them are control characters - such as @ and [ ].


Frequently Asked Questions (FAQ)

To Be Done


Limits

As in everything in life, there are limits. Below is a list of the various limits throughout the mission editor and the game.

Each mission is created on a grid that can be a maximum of 62x62 units square. The size can vary and is shown by a solid green line around the map...

You can have a maximum of 32x Areas and only 16x Switches .

The condition Every NN Seconds is limited to only 99 seconds. Use the Wait action is longer times are required.

There are some recommended design limits for missions.

Computer Structure Limit : 52
Computer Mobile Unit Limit : 80
Human Structure Limit : 39 + unused Computer amount - 5
Human Mobile Unit Limit : 60

Example : If the computer only has 36 structures (buildings, towers, etc), then the human player can have 39 + (52 - 36) - 5 = 50.

There is also a limit on the number of scenery items that can be used (This only includes bushes, trees, etc. Not roads and rivers). This limit is 100 items


About

This help file was created by

Mike 'Wizard' Blackett
warfare@mikeblackett.co.uk

with help from the great people in the forum
http://www.handmark.com/warfare/forum
(registration required)

for Spiffcode

Warfare Incorporated is a registered trademark of Spiffcode, Inc.
All rights reserved